AnnotationValue.OfClass (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile, interface: AnnotationValue, interface: OfClass
Keywords: java.lang.classfile.AnnotationValue.OfClass interface

Module java.base
Package java.lang.classfilePREVIEW

# Interface AnnotationValue.OfClass

All Superinterfaces:
  `AnnotationValuePREVIEW`, `ClassFileElementPREVIEW`, `WritableElementPREVIEW<AnnotationValuePREVIEW>`

Enclosing interface:
  `AnnotationValuePREVIEW`

public static sealed interface AnnotationValue.OfClass extends AnnotationValuePREVIEW
`OfClass` is a preview API of the Java platform.
Programs can only use `OfClass` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a class-valued element

Since:
  22

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface java.lang.classfile.AnnotationValuePREVIEW

  `AnnotationValue.OfAnnotationPREVIEW, AnnotationValue.OfArrayPREVIEW, AnnotationValue.OfBooleanPREVIEW, AnnotationValue.OfBytePREVIEW, AnnotationValue.OfCharacterPREVIEW, AnnotationValue.OfClassPREVIEW, AnnotationValue.OfConstantPREVIEW, AnnotationValue.OfDoublePREVIEW, AnnotationValue.OfEnumPREVIEW, AnnotationValue.OfFloatPREVIEW, AnnotationValue.OfIntegerPREVIEW, AnnotationValue.OfLongPREVIEW, AnnotationValue.OfShortPREVIEW, AnnotationValue.OfStringPREVIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Utf8EntryPREVIEW`
  `className()`
  Returns the class name.
  `default ClassDesc`
  `classSymbol()`
  Returns the class symbol.

  ### Methods declared in interface java.lang.classfile.AnnotationValuePREVIEW

  `tag`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### className

    Utf8EntryPREVIEW className()
    Returns the class name.
    Returns:
      the class name

  - ### classSymbol

    default ClassDesc classSymbol()
    Returns the class symbol.
    Returns:
      the class symbol